"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @private
 */
var bindFunction = function (actionCreator, dispatch) {
    return function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return dispatch(actionCreator.apply(void 0, args));
    };
};
/**
 * @private
 * @internal
 */
function bindApi(api, dispatch) {
    var keys = Object.keys(api);
    var result = {};
    for (var i = 0; i < keys.length; i++) {
        var key = keys[i];
        var element = api[key];
        if (typeof element === 'function') {
            result[key] = bindFunction(element, dispatch);
        }
        if (typeof element === 'object' && element !== null) {
            result[key] = bindApi(element, dispatch);
        }
    }
    return result;
}
exports.bindApi = bindApi;
//# sourceMappingURL=bindApi.js.map