"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var lifecycle_1 = require("../../events/lifecycle");
var controlledPromise_1 = require("../../helpers/controlledPromise/controlledPromise");
var getEventType_1 = require("../../helpers/getEventType/getEventType");
var isEvent = function (ev) {
    return typeof ev === 'string' || typeof ev === 'function';
};
exports.getReadyPromise = function (event$, getState, waitFor) {
    var _a = controlledPromise_1.controlledPromise(), promise = _a[0], resolve = _a[1];
    var toWait = new Set(waitFor.reduce(function (result, event) {
        if (isEvent(event)) {
            result.push(getEventType_1.getEventType(event));
            return result;
        }
        if (event.condition && !event.condition()) {
            return result;
        }
        var type = getEventType_1.getEventType(event.event);
        if (event.timeout) {
            setTimeout(function () {
                removeEvent(type);
            }, event.timeout);
        }
        result.push(type);
        return result;
    }, [lifecycle_1.initEvent.getType()]));
    var removeEvent = function (type) {
        // We shouldn't get here due to the unsubscribing, just in case
        /* istanbul ignore next */
        if (ready) {
            return;
        }
        toWait.delete(type);
        if (toWait.size === 0) {
            ready = true;
            resolve(getState());
            subscription.unsubscribe();
        }
    };
    var ready = false;
    var subscription = event$.subscribe({
        next: function (event) {
            removeEvent(event.type);
        }
    });
    return promise;
};
//# sourceMappingURL=getReadyPromise.js.map