"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var dangerous_1 = require("../../events/dangerous");
var combineReducers_1 = require("../../helpers/combineReducers/combineReducers");
/**
 * @private
 */
var dangerouslyReplaceStateType = dangerous_1.dangerouslyReplaceState.getType();
/**
 * @private
 */
var dangerouslyResetStateType = dangerous_1.dangerouslyResetState.getType();
/**
 * Creates root reducer with some superpowers.
 * And remember, Pete, great power comes with great responsibility.
 * @private
 * @internal
 */
function getRootReducer(reducers, initialState) {
    var rootReducer = combineReducers_1.combineReducers(reducers);
    return function (oldState, event) {
        var state = oldState;
        if (event.type === dangerouslyReplaceStateType) {
            state = event.payload;
        }
        if (event.type === dangerouslyResetStateType) {
            state = initialState;
        }
        return rootReducer(state, event);
    };
}
exports.getRootReducer = getRootReducer;
//# sourceMappingURL=getRootReducer.js.map