import { EffectCreator } from './createEffect.h';
/**
 * Creates an effect creator. Effect is a stream, that uses provided function, and emits start, success, error and complete types.
 *
 * @param description
 * @param effect Side effect performing function, should return a Promise.
 * @param condition Function, that defines if an effect should run. Must return boolean. T by default. E.g. can be used to separate server-side effects.
 * @returns
 */
export declare const createEffect: <Payload, Result, Error_1 = any>(description: string, effect?: ((payload: Payload) => Result | Promise<Result>) | undefined, condition?: (payload?: Payload | undefined) => boolean) => EffectCreator<Payload, Result, Error_1>;
