"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
function combineEpics(epics) {
    if (!epics.length) {
        return function () { return rxjs_1.EMPTY; };
    }
    if (epics.length === 1) {
        return epics[0];
    }
    return function (event$, state$, staticApi) {
        var streams = epics.map(function (epic) { return epic(event$, state$, staticApi) || rxjs_1.EMPTY; });
        return rxjs_1.merge.apply(void 0, streams);
    };
}
exports.combineEpics = combineEpics;
//# sourceMappingURL=combineEpics.js.map