"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns whether or not an object has an own property with the specified name
 *
 * @param {String} prop The name of the property to check for.
 * @param {Object} obj The object to query.
 * @return {Boolean} Whether the property exists.
 * @private
 */
exports.has = function (prop, obj) {
    return obj != null && Object.prototype.hasOwnProperty.call(obj, prop);
};
//# sourceMappingURL=has.js.map