"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getEventType_1 = require("../getEventType/getEventType");
var isArray_1 = require("../is/isArray/isArray");
function select(eventCreator) {
    if (isArray_1.isArray(eventCreator)) {
        return selectArray(eventCreator); // tslint:disable-line deprecation
    }
    var type = getEventType_1.getEventType(eventCreator);
    return function (event) { return type === event.type; };
}
exports.select = select;
/**
 * @deprecated
 * @param eventCreators
 */
function selectArray(eventCreators) {
    var types = eventCreators.map(function (eventCreator) { return getEventType_1.getEventType(eventCreator); });
    return function (event) { return types.indexOf(event.type) >= 0; };
}
exports.selectArray = selectArray;
//# sourceMappingURL=select.js.map