"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var constants_1 = require("../../constants");
/**
 * @private
 */
exports.loggerModule = function (_a) {
    var _b = _a.pattern, pattern = _b === void 0 ? new RegExp("^" + constants_1.APP_KEY) : _b;
    return ({
        name: 'logger',
        reducers: {
            eventLog: function (state, event) {
                if (state === void 0) { state = []; }
                if (event.type.startsWith('@@redux')) {
                    return state;
                }
                if (pattern && pattern.test(event.type)) {
                    return state;
                }
                return state.concat(event);
            }
        }
    });
};
exports.logger = function (_a) {
    var _b = _a.ignoreRedux, ignoreRedux = _b === void 0 ? true : _b, _c = _a.ignoreInternal, ignoreInternal = _c === void 0 ? true : _c, ignorePattern = _a.ignorePattern;
    return ({
        name: 'logger',
        state: {
            logger: {
                events: function (state, event) {
                    if (state === void 0) { state = []; }
                    if (ignoreRedux && event.type.startsWith('@@redux')) {
                        return state;
                    }
                    if (ignoreInternal && event.type.startsWith(constants_1.APP_KEY)) {
                        return state;
                    }
                    if (ignorePattern && ignorePattern.test(event.type)) {
                        return state;
                    }
                    return state.concat(event);
                },
                allEvents: function (state, event) {
                    if (state === void 0) { state = []; }
                    return state.concat(event);
                },
                last: function (_, event) { return event; }
            }
        }
    });
};
//# sourceMappingURL=loggerModule.js.map